at.chipkarte.client.aum.soap

## Interface IAumService

-     public interface IAumService

  Dieses Service stellt die Funktionalitäten des elektronischen Arbeitsunfähigkeitsmeldungsservice (AUM) Version 8 zur Verfügung.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Integer` | `FALSE` Konstante für den Parameter Berufskrankheit im Objekt Meldungsdaten ('0' wenn keine Berufskrankheit vorliegt).
    `static Integer` | `TRUE` Konstante für den Parameter Berufskrankheit ('1' wenn eine Berufskrankheit vorliegt).
    `static Integer` | `UNKNOWN` Konstante für den Parameter Berufskrankheit ('2' wenn nicht bekannt ist ob eine Berufskrankheit vorliegt).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AufSuchergebnis` | `auEndeBearbeiten(String dialogId, String cardToken, Long aufId, Integer aufIdVersion, String arbeitsunfaehigBis, Boolean forceExecution)` Setzt das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) in einer AU-Meldung (beendet die Meldung).
    `Quittung` | `detailDatenAbfragen(String dialogId, Long aufId)` Holt die Meldung (Quittung) mit der angegebenen ID vom Server.
    `String` | `downloadFormblatt(String dialogId)` Liefert ein Blankoformular für die Arbeitsunfähigkeitsmeldung als HTML-formatierten String.
    `BesondereArbeitsunfaehigkeitsursache[]` | `getBesondereArbeitsunfaehigkeitsursacheCodes(String dialogId)` Gibt die möglichen Werte des Attributs `BesondereArbeitsunfaehigkeitsursacheCode` zurück.
    `DiagnoseCodeTyp[]` | `getDiagnoseCodeTyp(String dialogId)` Gibt die möglichen Werte des Attributs `DiagnoseCodeTyp` zurück.
    `Rueckdatierungsgrund[]` | `getRueckdatierungsgrundCodes(String dialogId)` Gibt die möglichen Werte des Attributs `RueckdatierungsgrundCode` zurück.
    `AufSvtProperty[]` | `getSVTs(String dialogId)` Gibt die Daten der KVTs, die am elektronischen Arbeitsunfähigkeitsmeldungsservice (AUM) teilnehmen sowie die Standard-Ausgehzeiten der jeweiligen KVTs zurück.
    `Zusatzdiagnose[]` | `getZusatzdiagnoseCodes(String dialogId)` Gibt die möglichen Werte des Attributs `ZusatzdiagnoseCode` zurück.
    `AnlegenAendernErgebnis` | `meldungAendern(String dialogId, Long aufId, Integer aufIdVersion, Meldungsdaten meldungNeu, String meldungsArt, Boolean forceExecution)` Ändert eine existierende Meldung.
    `AnlegenAendernErgebnis` | `meldungAnlegen(String dialogId, String cardToken, Meldungsdaten meldungsdaten, String meldungsArt, Person person, Boolean forceExecution, Boolean ungeprueft, Boolean offeneMeldungenSuchen)` Legt eine neue Meldung an.
    `AufSuchergebnis[]` | `meldungenFuerSvPersonSuchen(String dialogId, String cardToken, SuchparameterSvPerson suchparameterSvPerson)` Holt Überblicksdaten für Meldungen eines Patienten (nur möglich für Patienten mit Sozialversicherungsnummer), die den im Parameter `suchparameterSvPerson` angegebenen Kriterien entsprechen.
    `void` | `meldungStornieren(String dialogId, Long aufId, Integer aufIdVersion)` Storniert die Meldung mit der angegebenen ID und Version.
    `AufSuchergebnis[]` | `selbstErstellteMeldungenSuchen(String dialogId, Suchkriterien suche)` Holt Überblicksdaten für selbsterstellte Meldungen, die den im Parameter `suche` angegebenen Kriterien entsprechen.

- - ### Field Detail

    - #### FALSE

          static final Integer FALSE

      Konstante für den Parameter Berufskrankheit im Objekt Meldungsdaten ('0' wenn keine Berufskrankheit vorliegt).

    - #### TRUE

          static final Integer TRUE

      Konstante für den Parameter Berufskrankheit ('1' wenn eine Berufskrankheit vorliegt).

    - #### UNKNOWN

          static final Integer UNKNOWN

      Konstante für den Parameter Berufskrankheit ('2' wenn nicht bekannt ist ob eine Berufskrankheit vorliegt).

  - ### Method Detail

    - #### meldungAnlegen

          AnlegenAendernErgebnis meldungAnlegen(String dialogId,
                                                String cardToken,
                                                Meldungsdaten meldungsdaten,
                                                String meldungsArt,
                                                Person person,
                                                Boolean forceExecution,
                                                Boolean ungeprueft,
                                                Boolean offeneMeldungenSuchen)
                                         throws ServiceException,
                                                DialogException,
                                                AccessException,
                                                AumInvalidParameterException,
                                                AumException

      Legt eine neue Meldung an.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).
      - Es ist entweder ein e-card-Token angegeben, ODER es sind entweder die SV-Nummer, die EKVK-Daten oder Vorname, Nachname und Geburtsdatum angegeben. Es dürfen nicht SV-Nummer und EKVK-Daten/Personendaten gleichzeitig angegeben werden.
      - Das Flag ungeprueft muss mit false angegeben werden, wenn die Erfassungen für Patienten mit einen für AUM gültigen Anspruch (Personendatenangabe mittels SV-Nummer oder e-card-Token) oder für EKVK-Patienten (Personendatenangabe mittels Vorname, Nachname, Geburtsdatum, Geschlecht, EKVK-Nummer und EKVK-Träger) erfolgt.
      - Das Flag ungeprueft muss mit true angegeben werden, wenn die Erfassung für Patienten mit keinen für AUM gültigen Anspruch (Personendatenangabe mittels SV-Nummer oder e-card-Token) oder für Patienten deren SV-Nummer nicht bekannt/ermittelbar ist (Personendatenangabe mittels Vorname, Nachname und Geburtsdatum) erfolgt.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken (optional).
        `meldungsdaten` - Meldungsdatenstruktur (`Meldungsdaten`).
        Pflichtattribute für dieses Objekt in dieser Funktion sind:
        - SvtCode (nur Pflicht für SV-Personen, für EKVK-Personen kann dieses Attribut leer bleiben)
        - ArbeitsunfaehigVon
        - BehandlungsDatum
        - entweder DiagnoseCode und DiagnoseCodeTyp oder Diagnose
        - Strasse, Ort, Plz und Staatencode - bedingte Pflichtfelder: es müssen entweder alle vier Felder gesetzt oder leer sein
        - RueckdatierungsgrundCode, falls ArbeitsunfaehigVon um mehr als einen Arbeitstag vor BehandlungsDatum liegt (wobei Feiertage nicht berücksichtigt werden)
        `meldungsArt` - die Art der anzulegenden Meldung (AU oder AF)
        `person` - Personendaten (siehe `Person`)
        `forceExecution` - falls `true`, wird die Prüfung auf Daten, die um mehr als 300 Tage vom aktuellen Datum abweichen, übersprungen.
        `ungeprueft` - Kennzeichen, ob die Meldung für eine Person ohne bekannte SV-Nummer bzw. ohne einen für AUM gültigen Anspruch angelegt werden soll.
        `offeneMeldungenSuchen` - Kennzeichen, ob vor dem Anlegen der Meldung auf offene Meldungen, für den mittels SV-Nummer spezifizierten Patienten geprüft werden soll. Hinweis: falls das Kennzeichen ungeprueft auf true oder keine SV-Nummer in `Person` versorgt ist, wird dieser Wert ignoriert (d.h. es findet keine Prüfung statt)
      Returns:
        Ergebnis des positiv durchgeführten Anlegen einer Meldung beziehungsweise mehrerer Meldungen, siehe `AnlegenAendernErgebnis`.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `BESONDERE_URSACHE_INVALID`, `PERSON_REQUIRED`, `GEHUNFAEHIG_INVALID`, `DATE_GIPSBIS_INVALID`, `DATE_GIPS_BIS_WRONG_VALUE`, `DATE_WIEDERBESTELLUNG_INVALID`, `MITTEILUNG_INVALID`, `EKVKTRAEGER_REQUIRED`, `EKVKTRAEGER_INVALID`, `EKVK_NUMMER_INVALID`, `SV_NUMMER_REQUIRED`, `SV_NUMMER_INVALID`, `VORNAME_REQUIRED`, `VORNAME_INVALID`, `NACHNAME_REQUIRED`, `NACHNAME_INVALID`, `GESCHLECHT_REQUIRED`, `GESCHLECHT_INVALID`, `AU_VON_REQUIRED`, `AU_VON_INVALID`, `AU_VON_OUT_OF_RANGE`, `AU_BIS_INVALID`, `AU_BIS_OUT_OF_RANGE`, `VORAUSS_ENDE_AU_INVALID`, `TIME_AUSGEHVON1_INVALID`, `TIME_AUSGEHBIS1_INVALID`, `DIAGNOSE_REQUIRED`, `DIAGNOSE_INVALID`, `TIME_AUSGEHVON2_INVALID`, `TIME_AUSGEHBIS2_INVALID`, `SVT_REQUIRED`, `SVT_INVALID`, `NEED_DIAGNOSE_CODE_AND_TYPE`, `DIAGNOSECODETYP_INVALID`, `DIAGNOSECODE_INVALID`, `ZUSATZDIAGNOSE_INVALID`, `KH_BIS_INVALID`, `KH_BIS_WRONG_VALUE`, `KH_VON_INVALID`, `KH_VON_WRONG_VALUE`, `STRASSE_REQUIRED`, `STRASSE_INVALID`, `PLZ_REQUIRED`, `PLZ_INVALID`, `ORT_REQUIRED`, `ORT_INVALID`, `BERUFSKRANKHEIT_INVALID`, `BEHANDLUNGSDATUM_REQUIRED`, `BEHANDLUNGSDATUM_INVALID`, `BEHANDLUNGSDATUM_WRONG_VALUE`, `RUECKDATIERUNGSGRUND_REQUIRED`, `RUECKDATIERUNGSGRUND_INVALID`, `GEBURTSDATUM_REQUIRED`, `GEBURTSDATUM_INVALID`, `GEBURTSDATUM_WRONG_VALUE`, `MELDUNGSART_REQUIRED`, `MELDUNGSART_INVALID`, `STAAT_REQUIRED`, `STAAT_INVALID`,
        `AumException` - `NO_ANSPRUCH`, `NO_ANSPRUCH_SVT`, `QUASA_ONLY`, `BVA_BEAMTER`, `ANSPRUCH_EXISTS`, `DIAGNOSE_XOR_DIAGNOSECODE_REQUIRED`, `EKVK_XOR_SV_NUMMER`, `SV_NUMMER_NOT_EXISTS`, `AUSGEH_BIS1_VOR_VON`, `AUSGEH_BIS2_VOR_VON`, `AUSSTELLUNGSDATUM_BIS_VOR_VON`, `NO_VPANSPRUCH_FOR_SVT`, `AU_BIS_VOR_AU_VON`, `VORAUSS_ENDE_AU_VOR_AU_VON`, `NO_AUM_SVT`, `ALLE_SVT_INVALID`, `EKVK_FORBIDDEN`, `PERSON_DATA_FORBIDDEN`, `PERSON_DATA_INCONSISTENT`, `KH_BIS_VOR_KH_VON`, `SV_NUMMERS_DIFFERENT`, `OPEN_MELDUNG_EXISTS`, `INTERNAL_ERROR`

    - #### auEndeBearbeiten

          AufSuchergebnis auEndeBearbeiten(String dialogId,
                                           String cardToken,
                                           Long aufId,
                                           Integer aufIdVersion,
                                           String arbeitsunfaehigBis,
                                           Boolean forceExecution)
                                    throws ServiceException,
                                           DialogException,
                                           AccessException,
                                           AumInvalidParameterException,
                                           AumException

      Setzt das Datum für ArbeitsunfaehigBis (Letzter Tag der AU) in einer AU-Meldung (beendet die Meldung).

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken (optional).
        `aufId` - ID der AU-Meldung
        `aufIdVersion` - (aktuelle) Version der AU-Meldung
        `arbeitsunfaehigBis` - Ende der Arbeitsunfähigkeit (Letzter Tag der AU).
        Hinweis: Der Parameter ist zwingend anzugeben. Das Löschen eines bereits gesetzten Datums für den Letzten Tag der AU (ArbeitsunfaehigBis gesetzt) ist mit dieser Funktion daher nicht möglich.
        `forceExecution` - falls `true`, wird die Prüfung auf Daten, die um mehr als 300 Tage vom aktuellen Datum abweichen, übersprungen.
      Returns:
        Die bearbeitete Meldung (`Quittung`) mit eingetragenen/geänderten Endedatum
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `AU_BIS_REQUIRED`, `AU_BIS_INVALID`, `AU_BIS_OUT_OF_RANGE`, `ID_INVALID`, `VERSION_INVALID`
        `AumException` - `MELDUNG_NOT_AKTUELL`, `ID_STORNIERT`, `ACCESS_NOT_ALLOWED`, `MELDUNG_NOT_FOUND`, `AU_BIS_VOR_AU_VON`, `SV_NUMMERS_DIFFERENT`, `MELDUNG_EXPIRED`, `MUST_NOT_DELETE_AU_BIS`, `INVALID_FOR_AF`, `INTERNAL_ERROR`

    - #### meldungAendern

          AnlegenAendernErgebnis meldungAendern(String dialogId,
                                                Long aufId,
                                                Integer aufIdVersion,
                                                Meldungsdaten meldungNeu,
                                                String meldungsArt,
                                                Boolean forceExecution)
                                         throws ServiceException,
                                                DialogException,
                                                AccessException,
                                                AumInvalidParameterException,
                                                AumException

      Ändert eine existierende Meldung.

      Das Feld SvtCode darf für EKVK-Patienten und für "ungeprüfte" Meldungen nicht geändert werden.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).
      - Im System existiert eine Meldung mit der übergebenen aufId und aufIdVersion, die änderbar und nicht storniert ist.

      Laufzeitgruppe: Mittel

      Replayability: Ja

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `aufId` - ID der zu ändernden Meldung
        `aufIdVersion` - (aktuelle) Version der zu ändernden Meldung
        `meldungNeu` - die neue Meldung (alle Pflichtfelder müssen ausgefüllt werden
        Felder die nicht ausgefüllt wurden, werden auf `null` gesetzt).
        Pflichtattribute für dieses Objekt in dieser Funktion sind:
        - SvtCode (nur Pflicht für SV-Personen, für EKVK-Personen kann dieses Attribut leer bleiben)
        - ArbeitsunfaehigVon
        - BehandlungsDatum
        - entweder DiagnoseCode und DiagnoseCodeTyp oder Diagnose
        - Strasse, Ort, Plz und Staatencode - bedingte Pflichtfelder: es müssen entweder alle vier Felder gesetzt oder leer sein
        - RueckdatierungsgrundCode, falls ArbeitsunfaehigVon um mehr als einen Arbeitstag vor BehandlungsDatum liegt (wobei Feiertage nicht berücksichtigt werden)
        - ArbeitsunfaehigBis (Letzter Tag des AU), falls es sich um eine reine AF-Meldung handelt
        `meldungsArt` - die Art der anzulegenden Meldung (AU oder AF)
        `forceExecution` - falls `true`, wird die Prüfung auf Daten, die um mehr als 300 Tage vom aktuellen Datum abweichen, übersprungen.
      Returns:
        Ergebnis des positiv durchgeführten Änderns einer Meldung beziehungsweise mehrerer Meldungen, siehe `AnlegenAendernErgebnis`.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `MELDUNG_NEU_REQUIRED`, `BESONDERE_URSACHE_INVALID`, `GEHUNFAEHIG_INVALID`, `DATE_GIPSBIS_INVALID`, `DATE_GIPS_BIS_WRONG_VALUE`, `DATE_WIEDERBESTELLUNG_INVALID`, `MITTEILUNG_INVALID`, `AU_VON_REQUIRED`, `AU_VON_INVALID`, `AU_VON_OUT_OF_RANGE`, `AU_BIS_REQUIRED`, `AU_BIS_INVALID`, `AU_BIS_OUT_OF_RANGE`, `VORAUSS_ENDE_AU_INVALID`, `TIME_AUSGEHVON1_INVALID`, `TIME_AUSGEHBIS1_INVALID`, `DIAGNOSE_REQUIRED`, `DIAGNOSE_INVALID`, `TIME_AUSGEHVON2_INVALID`, `TIME_AUSGEHBIS2_INVALID`, `SVT_REQUIRED`, `SVT_INVALID`, `NEED_DIAGNOSE_CODE_AND_TYPE`, `DIAGNOSECODETYP_INVALID`, `DIAGNOSECODE_INVALID`, `ZUSATZDIAGNOSE_INVALID`, `KH_VON_INVALID`, `KH_VON_WRONG_VALUE`, `KH_BIS_INVALID`, `KH_BIS_WRONG_VALUE`, `ID_INVALID`, `VERSION_INVALID`, `STRASSE_REQUIRED`, `STRASSE_INVALID`, `PLZ_REQUIRED`, `PLZ_INVALID`, `ORT_REQUIRED`, `ORT_INVALID`, `BERUFSKRANKHEIT_INVALID`, `RUECKDATIERUNGSGRUND_REQUIRED` `RUECKDATIERUNGSGRUND_INVALID` `BEHANDLUNGSDATUM_REQUIRED`, `BEHANDLUNGSDATUM_INVALID`, `BEHANDLUNGSDATUM_WRONG_VALUE`, `ID_INVALID`, `VERSION_INVALID`, `MELDUNGSART_REQUIRED`, `MELDUNGSART_INVALID`, `STAAT_INVALID`,
        `AumException` - `NO_ANSPRUCH`, `NO_ANSPRUCH_SVT`, `MELDUNG_NOT_AKTUELL`, `ID_STORNIERT`, `DIAGNOSE_XOR_DIAGNOSECODE_REQUIRED`, `AUSGEH_BIS1_VOR_VON`, `AUSGEH_BIS2_VOR_VON`, `AU_BIS_VOR_AU_VON`, `KH_BIS_VOR_KH_VON`, `KH_BIS_WITHOUT_VON`, `NEED_BOTH_AUSGANG1`, `NEED_BOTH_AUSGANG2`, `VORAUSS_ENDE_AU_VOR_AU_VON`, `NO_VPANSPRUCH_FOR_SVT`, `MELDUNG_NOT_FOUND`, `ACCESS_NOT_ALLOWED`, `KVT_MODIFICATION_NOT_ALLOWED`, `MELDUNG_EXPIRED`, `MUST_NOT_DELETE_AU_BIS`, `INTERNAL_ERROR`

    - #### selbstErstellteMeldungenSuchen

          AufSuchergebnis[] selbstErstellteMeldungenSuchen(String dialogId,
                                                           Suchkriterien suche)
                                                    throws ServiceException,
                                                           DialogException,
                                                           AccessException,
                                                           AumInvalidParameterException,
                                                           AumException

      Holt Überblicksdaten für selbsterstellte Meldungen, die den im Parameter `suche` angegebenen Kriterien entsprechen.
      Hinweis: Der Vertragspartner kann nur eigene (selbsterstellte) Meldungen suchen.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      ACHTUNG: Falls die Suchkriterien zu unspezifisch gewählt wurden, sodass mehr als 100 Meldungen den Kriterien entsprechen, wird eine Exception geliefert.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `suche` - filtert auf Attribute der Meldungen (`Suchkriterien`).
      Returns:
        AufSuchergebnis - Ein Array von `AufSuchergebnis`-Objekten.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `SV_NUMMER_INVALID`, `VORNAME_INVALID`, `NACHNAME_REQUIRED`, `NACHNAME_INVALID`, `MELDUNGSART_REQUIRED`, `MELDUNGSART_INVALID`, `ZEITRAUM_VON_REQUIRED`, `ZEITRAUM_VON_INVALID`, `MAX_SUCHERGEBNISSE_EXCEEDED`, `ZEITRAUM_BIS_REQUIRED`, `ZEITRAUM_BIS_INVALID`
        `AumException` - `AUSSTELLUNGSDATUM_BIS_VOR_VON`, `SVNR_OR_NACHNAME`, `SVNR_OR_VORNAME`, `INTERNAL_ERROR`

    - #### meldungenFuerSvPersonSuchen

          AufSuchergebnis[] meldungenFuerSvPersonSuchen(String dialogId,
                                                        String cardToken,
                                                        SuchparameterSvPerson suchparameterSvPerson)
                                                 throws ServiceException,
                                                        DialogException,
                                                        AccessException,
                                                        AumInvalidParameterException,
                                                        AumException

      Holt Überblicksdaten für Meldungen eines Patienten (nur möglich für Patienten mit Sozialversicherungsnummer), die den im Parameter `suchparameterSvPerson` angegebenen Kriterien entsprechen.
      Hinweis: Der Vertragspartner kann nur Meldungen für einen Patienten mit Sozialversicherungsnummer suchen. Der gewünschte Patient zu dem gesucht werden soll, kann entweder mittels Angabe des Parameters SvNummer oder mittels gesteckter e-card erfolgen. Meldungen bei denen der Vertragspartner nicht der Initialersteller ist (sondern die Meldung "nur" beendet hat) werden nur gefunden, wenn diese noch offen sind (d.h. Letzter Tag der AU - ArbeitsunfaehigBis - ist noch nicht oder mit einem Datum größer, gleich dem aktuellen Datum versorgt).

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      ACHTUNG: Falls die Suchkriterien zu unspezifisch gewählt wurden, sodass mehr als 100 Meldungen den Kriterien entsprechen, so wird eine Exception geliefert.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `cardToken` - Mit e-card erzeugtes Signaturtoken (optional).
        `suchparameterSvPerson` - Filtert auf Attribute der Meldungen (siehe `SuchparameterSvPerson`).
      Returns:
        AufSuchergebnis - Ein Array von `AufSuchergebnis`-Objekten.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_SVNR_MISMATCH`, `CARDTOKEN_TYPE_NOT_ALLOWED`, `CARDTOKEN_VPNR_MISMATCH`, `SIGNATURE_INVALID`, `CARD_INVALID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `SV_NUMMER_REQUIRED2`, `SV_NUMMER_INVALID`, `MELDUNGSART_INVALID`, `ZEITRAUM_VON_INVALID`, `MAX_SUCHERGEBNISSE_EXCEEDED`, `ZEITRAUM_BIS_INVALID`
        `AumException` - `AUSSTELLUNGSDATUM_BIS_VOR_VON`, `SV_NUMMER_NOT_EXISTS`, `SV_NUMMERS_DIFFERENT`, `INTERNAL_ERROR`

    - #### detailDatenAbfragen

          Quittung detailDatenAbfragen(String dialogId,
                                       Long aufId)
                                throws ServiceException,
                                       DialogException,
                                       AccessException,
                                       AumInvalidParameterException,
                                       AumException

      Holt die Meldung (Quittung) mit der angegebenen ID vom Server.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).
      - Die Meldung mit der angegebenen ID wurde vom abfragenden Vertragspartner angelegt.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `aufId` - ID der Meldung
      Returns:
        Quittung der angeforderten Meldung. Wenn keine Meldung mit der angegebenen ID existiert, wird `null` zurückgegeben.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `ID_INVALID`, `ID_REQUIRED`
        `AumException` - `MELDUNG_NOT_FOUND`, `ACCESS_NOT_ALLOWED`, `ID_STORNIERT`, `INTERNAL_ERROR`

    - #### meldungStornieren

          void meldungStornieren(String dialogId,
                                 Long aufId,
                                 Integer aufIdVersion)
                          throws ServiceException,
                                 DialogException,
                                 AccessException,
                                 AumInvalidParameterException,
                                 AumException

      Storniert die Meldung mit der angegebenen ID und Version.
      Hinweis: Der Vertragspartner kann nur eigene (selbsterstellte) AU/AF-Meldungen stornieren.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
        `aufId` - ID der Meldung.
        `aufIdVersion` - Version der Meldung - notwendig zur Überprüfung ob die Meldung aktuell ist.
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumInvalidParameterException` - `ID_INVALID`, `VERSION_INVALID`
        `AumException` - `MELDUNG_NOT_AKTUELL`, `MELDUNG_NOT_FOUND`, `ACCESS_NOT_ALLOWED`, `MELDUNG_EXPIRED`, `INTERNAL_ERROR`

    - #### getSVTs

          AufSvtProperty[] getSVTs(String dialogId)
                            throws ServiceException,
                                   DialogException,
                                   AccessException,
                                   AumException

      Gibt die Daten der KVTs, die am elektronischen Arbeitsunfähigkeitsmeldungsservice (AUM) teilnehmen sowie die Standard-Ausgehzeiten der jeweiligen KVTs zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Array von `AufSvtProperty` zu den einzelnen KVTs
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
        `AumException` - `INTERNAL_ERROR`

    - #### getZusatzdiagnoseCodes

          Zusatzdiagnose[] getZusatzdiagnoseCodes(String dialogId)
                                           throws ServiceException,
                                                  DialogException,
                                                  AccessException

      Gibt die möglichen Werte des Attributs `ZusatzdiagnoseCode` zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Array von `Zusatzdiagnose`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
      See Also:
        `Meldungsdaten.getZusatzdiagnoseCode()`

    - #### getRueckdatierungsgrundCodes

          Rueckdatierungsgrund[] getRueckdatierungsgrundCodes(String dialogId)
                                                       throws ServiceException,
                                                              DialogException,
                                                              AccessException

      Gibt die möglichen Werte des Attributs `RueckdatierungsgrundCode` zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Array von `Rueckdatierungsgrund`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
      See Also:
        `Meldungsdaten.getRueckdatierungsgrundCode()`

    - #### getBesondereArbeitsunfaehigkeitsursacheCodes

          BesondereArbeitsunfaehigkeitsursache[] getBesondereArbeitsunfaehigkeitsursacheCodes(String dialogId)
                                                                                       throws ServiceException,
                                                                                              DialogException,
                                                                                              AccessException

      Gibt die möglichen Werte des Attributs `BesondereArbeitsunfaehigkeitsursacheCode` zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Array von `BesondereArbeitsunfaehigkeitsursache`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
      See Also:
        `Meldungsdaten.getBesondereArbeitsunfaehigkeitsursacheCode()`

    - #### getDiagnoseCodeTyp

          DiagnoseCodeTyp[] getDiagnoseCodeTyp(String dialogId)
                                        throws ServiceException,
                                               DialogException,
                                               AccessException

      Gibt die möglichen Werte des Attributs `DiagnoseCodeTyp` zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        Array von `DiagnoseCodeTyp`
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`
      See Also:
        `Meldungsdaten.getDiagnoseCodeTyp()`

    - #### downloadFormblatt

          String downloadFormblatt(String dialogId)
                            throws ServiceException,
                                   DialogException,
                                   AccessException

      Liefert ein Blankoformular für die Arbeitsunfähigkeitsmeldung als HTML-formatierten String.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf AUM (siehe `AUM_CORE`).

      Laufzeitgruppe: Kurz

      Replayability: Nein

      Parameters:
        `dialogId` - ID eines existierenden Dialogs.
      Returns:
        HTML-formatierter String
      Throws:
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `AccessException` - `MISSING_AUM_CORE`